Posts
Read one post
GET
Includes every target with its own status, permalink, and failure. This is how you learn whether publishing worked.
header
AuthorizationBearer <token>Send your key as Authorization: Bearer eksis_sk_....
postId*stringThe post and its targets.
application/json- response
data?curl -X GET 'https://api.eksis.io/v1/posts/string' \ -H 'Authorization: Bearer eksis_sk_...'{ "data": { "id": "string", "title": "string", "status": "string", "caption": "string", "mediaIds": [ "string" ], "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "targets": [ { "id": "string", "channelId": "string", "platform": "string", "username": "string", "contentType": "feed", "caption": "string", "mediaIds": [ "string" ], "firstComment": "string", "settings": {}, "status": "pending", "externalPostId": "string", "permalink": "string", "error": { "code": "string", "message": "string" }, "publishedAt": "2019-08-24T14:15:22Z", "metricsReported": true, "metrics": { "reach": 0, "likes": 0, "dislikes": 0, "comments": 0, "shares": 0, "saves": 0, "profileVisits": 0, "collectedAt": "2019-08-24T14:15:22Z" } } ] }}